/**
 * angularx-adal - Fork of angular2-adal from sureshchahal (fix for adal timeout). Azure AD Library - ADAL in Angular 5
 * @version v2.0.1
 * @link https://github.com/Jonah-Jordan/angularx-adal#readme
 * @license MIT
 */
/// <reference types="adal" />
import { Observable } from 'rxjs';
import { OAuthData } from './oauthdata.model';
export declare class AdalService {
    private adalContext;
    private oauthData;
    init(configOptions: adal.Config): void;
    readonly config: adal.Config;
    readonly userInfo: OAuthData;
    login(): void;
    loginInProgress(): boolean;
    logOut(): void;
    handleWindowCallback(): void;
    getCachedToken(resource: string): string;
    acquireToken(resource: string): Observable<any>;
    getUser(): Observable<adal.User>;
    clearCache(): void;
    clearCacheForResource(resource: string): void;
    info(message: string): void;
    verbose(message: string): void;
    GetResourceForEndpoint(url: string): string;
    refreshDataFromCache(): void;
    private updateDataFromCache;
}
